---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "random_shuffle Resource - terraform-provider-random"
subcategory: ""
description: |-
  The resource random_shuffle generates a random permutation of a list of strings given as an argument.
---

# random_shuffle (Resource)

The resource `random_shuffle` generates a random permutation of a list of strings given as an argument.

## Example Usage

```terraform
resource "random_shuffle" "az" {
  input        = ["us-west-1a", "us-west-1c", "us-west-1d", "us-west-1e"]
  result_count = 2
}

resource "aws_elb" "example" {
  # Place the ELB in any two of the given availability zones, selected
  # at random.
  availability_zones = ["${random_shuffle.az.result}"]

  # ... and other aws_elb arguments ...
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `input` (List of String) The list of strings to shuffle.

### Optional

- `keepers` (Map of String) Arbitrary map of values that, when changed, will trigger recreation of resource. See [the main provider documentation](../index.html) for more information.
- `result_count` (Number) The number of results to return. Defaults to the number of items in the `input` list. If fewer items are requested, some elements will be excluded from the result. If more items are requested, items will be repeated in the result but not more frequently than the number of items in the input list.
- `seed` (String) Arbitrary string with which to seed the random number generator, in order to produce less-volatile permutations of the list.

**Important:** Even with an identical seed, it is not guaranteed that the same permutation will be produced across different versions of Terraform. This argument causes the result to be *less volatile*, but not fixed for all time.

### Read-Only

- `id` (String) A static value used internally by Terraform, this should not be referenced in configurations.
- `result` (List of String) Random permutation of the list of strings given in `input`.


