---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "random_uuid Resource - terraform-provider-random"
subcategory: ""
description: |-
  The resource random_uuid generates random uuid string that is intended to be used as unique identifiers for other resources.
  This resource uses hashicorp/go-uuid https://github.com/hashicorp/go-uuid to generate a UUID-formatted string for use with services needed a unique string identifier.
---

# random_uuid (Resource)

The resource `random_uuid` generates random uuid string that is intended to be used as unique identifiers for other resources.

This resource uses [hashicorp/go-uuid](https://github.com/hashicorp/go-uuid) to generate a UUID-formatted string for use with services needed a unique string identifier.

## Example Usage

```terraform
# The following example shows how to generate a unique name for an Azure Resource Group.

resource "random_uuid" "test" {
}

resource "azurerm_resource_group" "test" {
  name     = "${random_uuid.test.result}-rg"
  location = "Central US"
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Optional

- `keepers` (Map of String) Arbitrary map of values that, when changed, will trigger recreation of resource. See [the main provider documentation](../index.html) for more information.

### Read-Only

- `id` (String) The generated uuid presented in string format.
- `result` (String) The generated uuid presented in string format.

## Import

Import is supported using the following syntax:

```shell
# Random UUID's can be imported. This can be used to replace a config
# value with a value interpolated from the random provider without
# experiencing diffs.

terraform import random_uuid.main aabbccdd-eeff-0011-2233-445566778899
```
